Download it now!
Bug 131096 - Calc crashes when viewing details of two Statistical functions in Function Wizard
Summary: Calc crashes when viewing details of two Statistical functions in Function Wi...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All All
: high critical
Assignee: Eike Rathke
URL:
Whiteboard: target:7.0.0 target:6.3.6 target:6.4.3
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-03-03 15:18 UTC by Steve Fanning
Modified: 2020-04-03 15:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (gtk3) (8.99 KB, text/plain)
2020-03-03 20:08 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Fanning 2020-03-03 15:18:06 UTC
Using the Function Wizard to view details of parameters for two functions:
- FORECAST.ETS.PI.ADD
- FORECAST.ETS.PI.MULT

Double-click on function name in list of functions on left hand side. Try to use vertical scroll bar to view details of parameters on right hand side. Move scroll bar down and Calc crashes. Problem repeatable on my system.

Details from About LibreOffice dialog:

Version: 6.4.0.3 (x64)
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 2; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: en-US (en_GB); UI-Language: en-US
Calc: CL

Note: Same behaviour experienced on an Ubuntu Linux virtual terminal.
Comment 1 Xisco Faulí 2020-03-03 16:21:37 UTC
Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: 37b4784ca722aa0496cda95191869c2086223e24
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Xisco Faulí 2020-03-03 16:47:03 UTC
Regression introduced by:

author	Winfried Donkers <winfrieddonkers@libreoffice.org>	2016-09-15 13:39:35 +0200
committer	Eike Rathke <erack@redhat.com>	2016-10-13 19:04:48 +0000
commit	fb790880eb11552b2e7d1dcf6c09d2663712290f (patch)
tree	a4626267b442f2fee3ef81186d053cb93d900187
parent	7d5d5e6e9b67807560a7db4123e8b41cc0f70a32 (diff)
tdf#94635 follow up; handle linear data properly when samples in period

Bisected with: bibisect-linux-64-5.3
Comment 3 Xisco Faulí 2020-03-03 16:48:46 UTC
@Julien, would it be possible to have a backtrace here?
Comment 4 Julien Nabet 2020-03-03 20:08:05 UTC
Created attachment 158354 [details]
bt with debug symbols (gtk3)

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 5 Julien Nabet 2020-03-03 20:11:57 UTC
If I revert the quoted commit + fix merge conflict +
apply this:
diff --cc sc/source/core/tool/interpr8.cxx
index 39706cf7882c,5f98f269bbe1..000000000000
--- a/sc/source/core/tool/interpr8.cxx
+++ b/sc/source/core/tool/interpr8.cxx
@@@ -193,6 -195,11 +193,11 @@@ bool ScETSForecastCalculation::Preproce
          }
      }
  
 -    if ( rSmplInPrd != 1 )
 -        mnSmplInPrd = rSmplInPrd;
++    if ( nSmplInPrd != 1 )
++        mnSmplInPrd = nSmplInPrd;
+     else
+         mnSmplInPrd = CalcPeriodLen();
+ 
      // Month intervals don't have exact stepsize, so first
      // detect if month interval is used.
      // Method: assume there is an month interval and verify.
* Unmerged path sc/qa/unit/data/functions/fods/forecast.ets.mult.fods

I don't reproduce the crash.
Comment 6 Julien Nabet 2020-03-03 20:17:22 UTC
Patch submitted here for review:
https://gerrit.libreoffice.org/c/core/+/89926
Comment 7 Julien Nabet 2020-03-04 09:55:29 UTC
Patch abandoned, no idea why Jenkins fails.
Comment 8 Xisco Faulí 2020-03-16 15:07:48 UTC
Hi Eike, I thought you might be interested in this issue...
Comment 9 Xisco Faulí 2020-03-27 11:52:45 UTC
Hi Caolán, I thought you might be interested in this issue after you fixed bug 131380
Comment 10 Eike Rathke 2020-03-27 13:07:22 UTC
I'm taking this.
Comment 11 Commit Notification 2020-03-27 19:05:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/811b36e4db240be3a21a4d184b085630efcc09b7

Resolves: tdf#131096 Handle argument error and propagate

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Eike Rathke 2020-03-27 19:07:21 UTC
Pending review
https://gerrit.libreoffice.org/c/core/+/91181 for 6-4
https://gerrit.libreoffice.org/c/core/+/91182 for 6-3
Comment 13 Eike Rathke 2020-03-27 20:17:07 UTC
https://gerrit.libreoffice.org/c/core/+/91185 for 6-4-3
Comment 14 Commit Notification 2020-03-27 21:00:10 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/cddb53f5678fde8ad247524561f423b6498b29eb

Resolves: tdf#131096 Handle argument error and propagate

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-03-28 06:50:46 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/f2f32b267f1b17cec4599c6bd6a7c13c3ee6d434

Resolves: tdf#131096 Handle argument error and propagate

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Xisco Faulí 2020-04-01 09:41:58 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 169a10f0e4680814145b668c6320be04038d7a89
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Eike, thanks for fixing this issue!!
Comment 17 Commit Notification 2020-04-03 15:46:17 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-3":

https://git.libreoffice.org/core/commit/b9728374522326364d8d579360319f7b7ebe639b

Resolves: tdf#131096 Handle argument error and propagate

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.